VerboseConfig (Oracle - Berkeley DB Java API)
Date: 2020-06-01

Package com.sleepycat.db

## Class VerboseConfig

- java.lang.Object
- - com.sleepycat.db.VerboseConfig

-     public final class VerboseConfig
      extends java.lang.Object

  Specifies the attributes of a verification operation.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static VerboseConfig` | `BACKUP` | Display additional information when performing hot backup.
    `static VerboseConfig` | `DEADLOCK` | Display additional information when doing deadlock detection.
    `static VerboseConfig` | `FILEOPS` | Display additional information when performing filesystem operations such as open, close or rename.
    `static VerboseConfig` | `FILEOPS_ALL` | Display additional information when performing all filesystem operations, including read and write.
    `static VerboseConfig` | `RECOVERY` | Display additional information when performing recovery.
    `static VerboseConfig` | `REGISTER` | Display additional information concerning support for `EnvironmentConfig.setRegister(boolean)`.
    `static VerboseConfig` | `REPLICATION` | Display all detailed information about replication.
    `static VerboseConfig` | `REPLICATION_ELECTION` | Display detailed information about replication elections.
    `static VerboseConfig` | `REPLICATION_LEASE` | Display detailed information about replication master leases.
    `static VerboseConfig` | `REPLICATION_MISC` | Display detailed information about general replication processing not covered by the other REPLICATION_* values.
    `static VerboseConfig` | `REPLICATION_MSGS` | Display detailed information about replication message processing.
    `static VerboseConfig` | `REPLICATION_SYNC` | Display detailed information about replication client synchronization.
    `static VerboseConfig` | `REPLICATION_SYSTEM` | Saves replication system information to a system-owned file.
    `static VerboseConfig` | `REPLICATION_TEST` | Display temporary replication test information.
    `static VerboseConfig` | `REPMGR_CONNFAIL` | Display detailed information about Replication Manager connection failures.
    `static VerboseConfig` | `REPMGR_MISC` | Display detailed information about genereal Replication Manager processing.
    `static VerboseConfig` | `REPMGR_SSL_ALL` | Display all information about Replication Manager SSL support.
    `static VerboseConfig` | `REPMGR_SSL_CONN` | Display detailed information about Replication Manager SSL connections.
    `static VerboseConfig` | `REPMGR_SSL_IO` | Display detailed information about Replication Manager SSL IO.
    `static VerboseConfig` | `SLICE` | Display detailed information about slice databases.
    `static VerboseConfig` | `WAITSFOR` | Display the waits-for table when doing deadlock detection.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### BACKUP

          public static final VerboseConfig BACKUP

      Display additional information when performing hot backup.

    - #### DEADLOCK

          public static final VerboseConfig DEADLOCK

      Display additional information when doing deadlock detection.

    - #### FILEOPS

          public static final VerboseConfig FILEOPS

      Display additional information when performing filesystem operations such as open, close or rename. May not be available on all platforms.

    - #### FILEOPS_ALL

          public static final VerboseConfig FILEOPS_ALL

      Display additional information when performing all filesystem operations, including read and write. May not be available on all platforms.

    - #### RECOVERY

          public static final VerboseConfig RECOVERY

      Display additional information when performing recovery.

    - #### REGISTER

          public static final VerboseConfig REGISTER

      Display additional information concerning support for `EnvironmentConfig.setRegister(boolean)`.

    - #### REPLICATION

          public static final VerboseConfig REPLICATION

      Display all detailed information about replication. This includes the information displayed by all of the other REPLICATION_* and REPMGR_* values.

    - #### REPMGR_CONNFAIL

          public static final VerboseConfig REPMGR_CONNFAIL

      Display detailed information about Replication Manager connection failures.

    - #### REPMGR_MISC

          public static final VerboseConfig REPMGR_MISC

      Display detailed information about genereal Replication Manager processing.

    - #### REPMGR_SSL_ALL

          public static final VerboseConfig REPMGR_SSL_ALL

      Display all information about Replication Manager SSL support.

    - #### REPMGR_SSL_CONN

          public static final VerboseConfig REPMGR_SSL_CONN

      Display detailed information about Replication Manager SSL connections.

    - #### REPMGR_SSL_IO

          public static final VerboseConfig REPMGR_SSL_IO

      Display detailed information about Replication Manager SSL IO.

    - #### REPLICATION_ELECTION

          public static final VerboseConfig REPLICATION_ELECTION

      Display detailed information about replication elections.

    - #### REPLICATION_LEASE

          public static final VerboseConfig REPLICATION_LEASE

      Display detailed information about replication master leases.

    - #### REPLICATION_MISC

          public static final VerboseConfig REPLICATION_MISC

      Display detailed information about general replication processing not covered by the other REPLICATION_* values.

    - #### REPLICATION_MSGS

          public static final VerboseConfig REPLICATION_MSGS

      Display detailed information about replication message processing.

    - #### REPLICATION_SYNC

          public static final VerboseConfig REPLICATION_SYNC

      Display detailed information about replication client synchronization.

    - #### REPLICATION_SYSTEM

          public static final VerboseConfig REPLICATION_SYSTEM

      Saves replication system information to a system-owned file. This value is on by default.

    - #### REPLICATION_TEST

          public static final VerboseConfig REPLICATION_TEST

      Display temporary replication test information.

    - #### SLICE

          public static final VerboseConfig SLICE

      Display detailed information about slice databases.

    - #### WAITSFOR

          public static final VerboseConfig WAITSFOR

      Display the waits-for table when doing deadlock detection.

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright (c) 1996, 2020 Oracle and/or its affiliates. All rights reserved.